Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class RowTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          edu.stanford.smi.protege.util.RowTableModel

All Implemented Interfaces:
  Serializable, TableModel

    public class RowTableModel

extends AbstractTableModel

TODO Class Comment

Author:
  Ray Fergerson
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`RowTableModel(JTable table)`

Method Summary
`void` | `addRow(Object row)`
`void` | `clear()`
`int` | `getColumnCount()`
`String` | `getColumnName(int index)`
`int` | `getRowCount()`
`Object` | `getValueAt(int rowIndex, int columnIndex)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RowTableModel

    public RowTableModel(JTable table)

Method Detail

### getColumnName

    public String getColumnName(int index)

  Specified by:
    `getColumnName` in interface `TableModel`
  Overrides:
    `getColumnName` in class `AbstractTableModel`

### getColumnCount

    public int getColumnCount()

### getRowCount

    public int getRowCount()

### getValueAt

    public Object getValueAt(int rowIndex,
                             int columnIndex)

### addRow

    public void addRow(Object row)

### clear

    public void clear()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.